classification
Title: Update OrderedDict "see also" link
Type: enhancement Stage: patch review
Components: Documentation Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: BreamoreBoy, docs@python, ezio.melotti, python-dev, rhettinger
Priority: low Keywords: patch

Created on 2013-10-16 08:50 by BreamoreBoy, last changed 2013-10-21 03:43 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
issue19271.diff ezio.melotti, 2013-10-20 23:45 Patch against 3.3.
Messages (4)
msg200041 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2013-10-16 08:50
Both Python 2 and 3 docs refer to Raymond Hettinger's original recipe here http://code.activestate.com/recipes/576693/.  Would it be better to link to pypi https://pypi.python.org/pypi/ordereddict?
msg200656 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-10-20 23:45
Here's a patch.  The request seems reasonable to me, more so since the PyPI page links to the recipe.  If the goal of the link is to show the code of the implementation, the :source: directive can also be used.
msg200691 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2013-10-21 03:37
Ezio, we already have a sourcelink at the top of the collections module.

Mark, I want to keep the ASPN link in the 2.7 docs.  The goal wasn't to point to "an original recipe".  The intent was to show how to backport to old versions of Python if needed.

I will take the link out of the 3.4 docs because it no longer serves a purpose.
msg200692 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-21 03:42
New changeset 9e322a8f80d9 by Raymond Hettinger in branch 'default':
Issue #19271:  By Python3.4, the Python 2.4 backport links are no longer of much interest.
http://hg.python.org/cpython/rev/9e322a8f80d9
History
Date User Action Args
2013-10-21 03:43:05rhettingersetstatus: open -> closed
resolution: fixed
versions: - Python 2.7, Python 3.3
2013-10-21 03:42:37python-devsetnosy: + python-dev
messages: + msg200692
2013-10-21 03:37:14rhettingersetmessages: + msg200691
2013-10-20 23:45:57ezio.melottisetfiles: + issue19271.diff
keywords: + patch
messages: + msg200656

stage: needs patch -> patch review
2013-10-19 05:17:27ezio.melottisetnosy: + ezio.melotti

type: enhancement
stage: needs patch
2013-10-16 08:56:07rhettingersetpriority: normal -> low
assignee: docs@python -> rhettinger

nosy: + rhettinger
2013-10-16 08:50:11BreamoreBoycreate